% Script to show some of the data

tStart = IMU.time(1);
tEnd = IMU.time(end);
for i=1:size(camera.image,3)
  subplot(2,1,1)
  imshow(camera.image(:,:,i))
  title('Farward looking camera image');
  xlabel(['Time: ', num2str(camera.time(i)), 's'])
  j = find(camera.time(i) == IMU.time);
  subplot(2,1,2)
  plot(IMU.time(1:j),IMU.acc(1,1:j),'k')
  hold on;
  plot(IMU.time(1:j),IMU.acc(2,1:j),'b')
  plot(IMU.time(1:j),IMU.acc(3,1:j),'r')
  hold off;
  title('Measured specific force');
  xlabel('Time (s)');
  axis([tStart tEnd -13 5])
  drawnow;
end;

% Check is there are images missing
figure;
plot(camera.time(2:end),diff(camera.time))
